commit:     2ddad05b0c3b65f4647978f2793061204388aa2f
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 16 04:57:00 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Jun 16 04:57:00 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ddad05b

dev-libs/libgweather: add 4.4.4

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/libgweather/Manifest                 |   1 +
 dev-libs/libgweather/libgweather-4.4.4.ebuild | 100 ++++++++++++++++++++++++++
 2 files changed, 101 insertions(+)

diff --git a/dev-libs/libgweather/Manifest b/dev-libs/libgweather/Manifest
index 9a4ea496fc79..a7fb574a7919 100644
--- a/dev-libs/libgweather/Manifest
+++ b/dev-libs/libgweather/Manifest
@@ -1 +1,2 @@
 DIST libgweather-4.4.2.tar.xz 2827456 BLAKE2B 
de53257f15b5b0e38bd41ccf69665e701065db85d144853831f409cd1a7116482bb374a858b022f9fb5eb167203bb393fa4a9087ab2c2272ba1b83dec3efcbb0
 SHA512 
66012af9bc50dfbb8cdb3d8b1ad7c72b5e8e012d8bbaa5a8d7a841f4bd5b2ebe0a490cc7ea256ea5e1d218f328da8826fb2345aa848fd961da271e64cdf330ad
+DIST libgweather-4.4.4.tar.xz 2843040 BLAKE2B 
7caa41aeb31f4d701022fa5a17d8f47395ff5a456158b278b33a9444b70c4f125576a1db76e1685e1a6d41d17935807c34e0f61dadad349abcb47515010f6828
 SHA512 
2140c742a89a3816ef0e20d0eac570bbc4af058d1c94982b08819740132e7ca56eb9597b3817385310d19d7f1ab6d478fb665770f99db1eca1c0aab1c073dd2f

diff --git a/dev-libs/libgweather/libgweather-4.4.4.ebuild 
b/dev-libs/libgweather/libgweather-4.4.4.ebuild
new file mode 100644
index 000000000000..df822076afbd
--- /dev/null
+++ b/dev-libs/libgweather/libgweather-4.4.4.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit gnome.org gnome2-utils meson python-any-r1 vala xdg
+
+DESCRIPTION="Location and timezone database and weather-lookup library"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/libgweather";
+
+LICENSE="GPL-2+"
+SLOT="4/4-0" # subslot = 4-(libgweather-4 soname suffix)
+
+IUSE="gtk-doc +introspection test +vala"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="
+       vala? ( introspection )
+       gtk-doc? ( introspection )
+"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 
~amd64-linux ~x86-linux"
+
+RDEPEND="
+       >=dev-libs/glib-2.68.0:2
+       >=net-libs/libsoup-2.99.2:3.0
+       sci-geosciences/geocode-glib:2
+       >=dev-libs/libxml2-2.6.0:2=
+       dev-libs/json-glib
+       introspection? ( >=dev-libs/gobject-introspection-1.54:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       dev-util/glib-utils
+       gtk-doc? ( >=dev-util/gi-docgen-2021.6 )
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+       ${PYTHON_DEPS}
+       $(python_gen_any_dep 'dev-python/pygobject[${PYTHON_USEDEP}]')
+       vala? ( $(vala_depend) )
+"
+
+python_check_deps() {
+       python_has_version -b "dev-python/pygobject[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+       python-any-r1_pkg_setup
+}
+
+src_prepare() {
+       default
+       gnome2_environment_reset
+       use vala && vala_setup
+       # The metar test requires network access
+       if has network-sandbox ${FEATURES}; then
+               sed -i -e '/metar/d' libgweather/tests/meson.build || die
+       fi
+}
+
+src_configure() {
+       local native_file="${T}"/meson.ini.local
+       # We don't want to run pylint tests. They're only for style.
+       cat >> ${native_file} <<-EOF || die
+       [binaries]
+       pylint='pylint-falseified'
+       EOF
+
+       local emesonargs=(
+               $(meson_use vala enable_vala)
+               $(meson_use gtk-doc gtk_doc)
+               $(meson_use introspection)
+               $(meson_use test tests)
+               -Dsoup2=false
+               --native-file "${native_file}"
+       )
+       meson_src_configure
+}
+
+src_test() {
+       meson_src_test --no-suite style
+}
+
+src_install() {
+       meson_src_install
+       if use gtk-doc; then
+               mkdir -p "${ED}"/usr/share/gtk-doc/ || die
+               mv "${ED}"/usr/share/doc/libgweather-4.0 
"${ED}"/usr/share/gtk-doc/ || die
+       fi
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+       gnome2_schemas_update
+}
+
+pkg_postrm() {
+       xdg_pkg_postrm
+       gnome2_schemas_update
+}

Reply via email to